Name:           mokutil
Version:        0.3.0
Release:        8
Summary:        Tool to manage UEFI Secure Boot MoK Keys
Group:          System/Kernel and hardware
License:        GPLv3+
URL:            https://github.com/lcp/mokutil
Source0:        https://github.com/lcp/mokutil/archive/%{version}.tar.gz

# Upstream patches
Patch0001:      0001-Fix-the-potential-buffer-overflow.patch
Patch0002:      0002-Fix-the-32bit-signedness-comparison.patch
Patch0003:      0003-Build-with-fshort-wchar-so-toggle-passwords-work-rig.patch
Patch0004:      0004-Don-t-allow-sha1-on-the-mokutil-command-line.patch
Patch0005:      0005-Make-all-efi_guid_t-const.patch
Patch0006:      0006-mokutil-be-explicit-about-file-modes-in-all-cases.patch
Patch0007:      0007-Add-bash-completion-file.patch
Patch0008:      0008-Fix-typo-in-error-message-when-the-system-lacks-Secu.patch
Patch0009:      0009-list_keys_in_var-check-errno-correctly-not-ret-twice.patch
Patch0010:      0010-Add-a-way-for-mokutil-to-configure-a-timeout-for-Mok.patch
Patch0011:      0011-Add-the-type-casting-to-silence-the-warning.patch
Patch0012:      0012-generate_hash-generate_pw_hash-don-t-use-strlen-for-.patch

# Other patches
Patch1001:      fix-signed-unsigned-mismatch.patch

BuildRequires: automake
BuildRequires: pkgconfig(efivar)
BuildRequires: openssl-devel

%description
mokutil provides a tool to manage keys for Secure Boot through the MoK
("Machine's Own Keys") mechanism.

%files
%{_bindir}/mokutil
%{_mandir}/man1/mokutil.1*
%{_datadir}/bash-completion/completions/mokutil

%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std

%changelog

* Thu Sep 06 2018 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.3.0-8
- (3dd464f) Release up for a rebuild with the older libefivar
- (3dd464f) Details:
- (3dd464f) https://bugzilla.rosalinux.ru/show_bug.cgi?id=9268#c4


